#![cfg_attr(feature="nightly", feature(test))] 
#![cfg_attr(feature="nightly", feature(never_type))] 

#![allow(dead_code)]

#[cfg(all(feature="nightly", test))] extern crate test; 
#[macro_use] extern crate serde;
#[macro_use] extern crate lazy_static;

use std::convert::{TryFrom, TryInto};
#[macro_use] mod ext; use ext::*;

mod bytes;

mod delta;
mod state;
mod service;

#[tokio::main]
async fn main() {
    println!("Hello, world!");
}
